package com.rnsocial.login;

import com.rnsocial.login.channel.QQLogin;
import com.rnsocial.login.enmus.LoginChannel;
import com.tencent.tauth.Tencent;

import java.util.HashMap;
import java.util.Map;

/**
 * User : yh
 * Date : 17/6/6
 */

public class LoginManager {
    private static LoginManager manager;
    private Map<LoginChannel,LoginService> channelMap;

    private LoginManager(){
        channelMap = new HashMap<>();
    }

    public static LoginManager getInstance(){
        if(manager == null){
            manager = new LoginManager();
        }
        return manager;
    }

    public void regist(LoginChannel channel,LoginService service){
        if(channelMap.containsKey(channel)){
            return;
        }
        channelMap.put(channel,service);
    }

    public void Login(LoginChannel channel,HashMap<String, Object> loginArgs,LoginCallBack callBack){
        if(channelMap.containsKey(channel)){
            channelMap.get(channel).Login(loginArgs,callBack);
        }else{
            callBack.onLoginError("请选择正确的登录渠道");
        }
    }

    public void LoginRequestCallBack(LoginChannel channle,boolean success,Object obj,String error){
        if(channelMap.containsKey(channle)){
            channelMap.get(channle).loginRequestCallBack(success,obj,error);
        }
    }
}
