package com.rnsocial.pay;

import com.facebook.react.bridge.BaseJavaModule;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.ReadableMap;
import com.facebook.react.bridge.ReadableNativeMap;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.bridge.WritableNativeMap;
import com.rnsocial.pay.emums.PayChannel;
import com.rnsocial.pay.model.PayResult;

/**
 * User : yh
 * Date : 17/5/4
 */



public class ReactPayModule extends ReactContextBaseJavaModule {
    private static final String REACT_NAME = "ReactPay";

    public ReactPayModule(ReactApplicationContext reactContext) {
        super(reactContext);
    }

    @Override
    public String getName() {
        return REACT_NAME;
    }

    @ReactMethod
    public void Pay(ReadableMap params, final Callback callback){
        PayChannel channel = getPayChannel(params);
        if(channel == null){
            PayResult error = new PayResult(false,"channel.error","支付渠道错误");
            callback.invoke(error.toWritableMap());
            return;
        }
        ReadableNativeMap map = (ReadableNativeMap) params;
        PayManager.getInstance().Pay(channel,getCurrentActivity(),map.toHashMap(),new PayResultHandler(){

            @Override
            public void onResult(PayResult msg) {
                callback.invoke(msg.toWritableMap());
            }
        });
    }

    private PayChannel getPayChannel(ReadableMap params){
        if(!params.hasKey("channel")){
            return null;
        }
        PayChannel channel = PayChannel.from(params.getString("channel"));
        return channel;
    }


}
