#import <Foundation/Foundation.h>

extern NSString *const PayManagerPayResultNotification;

typedef  NS_ENUM(NSUInteger,RNPayChannel) {
    RNPayChannelAliPay = 1,
    RNPayChannelWechat = 2,
    RNPayChannelUnionPay = 3,
    RNPayChannelQQWalletPay = 4,
    RNPayChannelBaiduWalletPay = 5,


};

typedef NS_ENUM(NSUInteger, RNPayManagerResult) {
    RNPayManagerResultPaySuccess = 1, // 支付成功
    RNPayManagerResultPayFailed = -1, //支付失败
    RNPayManagerResultCancel = -2,  //支付取消
};

@interface RNPayManager : NSObject
@property(nonatomic, copy) NSString *aliScheme;
@property(nonatomic, copy) NSString *weixinAppId;
@property(nonatomic, copy) NSString *qqAppId;
@property(nonatomic,copy)NSString *unionPayMode;
@property(nonatomic,copy)NSString *unionScheme;



+ (id)shareInstance;
- (void) pay:(id)data
      result:(void (^)(BOOL success, NSString *errorCode, NSString *message))block;

- (Boolean)checkSupport:(RNPayChannel)channel
       result:(void (^)(BOOL success, NSString *errorCode, NSString *message))block;

- (void)wechatInit:(NSString *)appId
	 universalLink:(NSString *)universalLink;
- (void)aliInit:(NSString *)scheme;
- (void)unionInit:(NSString *)scheme;


//- (void)alipayCallback:(NSURL *)url;

/**
 *  注册第三方APP信息
 *
 *  @param appId     APP的唯一标识
 *  @param scheme APP的URL SCHEME，用户在手机QQ内部完成功能后进行回调
 *  @param name      APP的名字
 */
- (void)qqWalletInit:(NSString*)appid
              scheme:(NSString*)scheme
                name:(NSString*)name;


// 统一处理支付的回调
- (BOOL)handlePayOpenURL:(NSURL *) url;




@end
