#import "RNWXApiManager.h"
#import "WXApiObject.h"


@implementation RNWXApiManager

+(instancetype)sharedManager {
    static dispatch_once_t onceToken;
    static RNWXApiManager *instance;
    dispatch_once(&onceToken, ^{
        instance = [[self alloc] init];
    });
    return instance;
}

#pragma mark - WXApiDelegate

- (void)onResp:(BaseResp *)resp {
    if ([resp isKindOfClass:[PayResp class]]) {
        if (_delegate
            && [_delegate respondsToSelector:@selector(WXApiManagerDidRecvPay:)]) {
            PayResp *payResp = (PayResp *)resp;
            [_delegate WXApiManagerDidRecvPay:payResp];

        }
    } else if ([resp isKindOfClass:[SendAuthResp class]]) {
        if (_delegate
            && [_delegate respondsToSelector:@selector(WXApiManagerDidRecvLogin:)]) {
            SendAuthResp *authResp = (SendAuthResp *)resp;
            [_delegate WXApiManagerDidRecvLogin:authResp];
        }
    }else if ([resp isKindOfClass:[SendMessageToWXResp class]]) {
        if (_delegate
            && [_delegate respondsToSelector:@selector(WXmanagerDidRecvMessageResponse:)]) {
            SendMessageToWXResp *messageResp = (SendMessageToWXResp *)resp;
            [_delegate WXmanagerDidRecvMessageResponse:messageResp];
        }
    }
}

@end
